Skip to content

Atomically insert songs into a setlist at a chosen position

POST
/api/setlists/{id}/songs/splice
id
required
string format: uuid
object
songs
required
Array<object>
>= 1 items
object
songId
required
string format: uuid
sectionMarker
string
nullable <= 100 characters
atPosition
integer
onDuplicate
string
default: skip
Allowed values: skip error

Spliced

object
ok
required
boolean
data
nullable

Invalid input

object
ok
required
boolean
error
required
string
code
string

Unauthenticated

object
ok
required
boolean
error
required
string
code
string

Forbidden / no permission

object
ok
required
boolean
error
required
string
code
string

Setlist not found

object
ok
required
boolean
error
required
string
code
string

Duplicate songs (onDuplicate=error)

object
ok
required
boolean
error
required
string
code
string

Failed to splice

object
ok
required
boolean
error
required
string
code
string